2018-01-19 22:56 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000157Branch 0.2.1-FINALBugpublic2016-11-23 10:29
ReporterQuix0r 
Assigned Touser13 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000157: Nested error: Undefined index: content_type
DescriptionMailer Project ist in Script/Funktion debug_report_bug, Zeile 2686 mit folgender Meldung abgebrochen: Note: Invalid response from check-updates3.php, count should be 10, is 3
Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

   1. functions.php:2669, debug_get_printable_backtrace(0)
   2. functions.php:2585, debug_report_bug(1)
   3. load_cache-revision.php:53, getArrayFromActualVersion(0)
   4. inc-functions.php:124, include(1)
   5. inc-functions.php:138, loadInclude(1)
   6. inc-functions.php:101, loadIncludeOnce(1)
   7. load_cache.php:73, loadIncludePool(1)
   8. inc-functions.php:124, include(1)
   9. inc-functions.php:138, loadInclude(1)
  10. mysql-connect.php:103, loadIncludeOnce(1)
  11. inc-functions.php:124, include(1)
  12. inc-functions.php:138, loadInclude(1)
  13. config-global.php:102, loadIncludeOnce(1)
  14. index.php:53, require(1)


Request-URI: /
Thank you for finding bugs.
Additional InformationDieser entsteht, wenn ein anderer Fehler vor dem Setzen des Content-Typs auftritt. Dies in allen root-Scripten nach dem Laden von inc/config-global.php.

Das koennte damit behoben werden, indem in app_die() geprueft wird, ob der Content-Typ gesetzt ist und wenn nicht, dass dieser auf text/html gesetzt wird.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000408

Quix0r (administrator)

Last edited: 2009-12-03 23:14

Profi-Concept, schau dir bitte mal den Code von getActualVersion() und getArrayFromActualVersion() an. Ich habe ihn schon anpassen muessen, damit er etwas stabiler laeuft (war eine Inkonsistenz).

Weise danach mir das Ticket wieder zu, damit ich den nested-Bug fixen kann.

~0000409

Quix0r (administrator)

Mit Commit 1624 habe ich einen Fix gemacht, der wenigstens den Nested-Bug fixt. Dazu habe ich die Bug-Beschreibung angepasst.

~0000463

Quix0r (administrator)

Ich denke, dies sollte bereits gefixt sein. Sollte es wieder vorkommen, bitte neues Ticket aufmachen, da der Code starken Aenderungen unterliegt.

~0000820

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-03 23:10 Quix0r New Issue
2009-12-03 23:11 Quix0r Projection none => tweak
2009-12-03 23:11 Quix0r ETA none => < 1 day
2009-12-03 23:11 Quix0r Additional Information Updated
2009-12-03 23:12 Quix0r Status new => assigned
2009-12-03 23:12 Quix0r Assigned To => user13
2009-12-03 23:13 Quix0r Note Added: 0000408
2009-12-03 23:14 Quix0r Note Edited: 0000408
2009-12-03 23:27 Quix0r Note Added: 0000409
2009-12-03 23:27 Quix0r Description Updated
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:35 Quix0r Product Version => 0.2.1-FINAL
2010-06-23 13:55 Quix0r Note Added: 0000463
2010-06-23 13:55 Quix0r Status assigned => resolved
2010-06-23 13:55 Quix0r Fixed in Version => 0.2.1-FINAL
2010-06-23 13:55 Quix0r Resolution open => fixed
2016-11-23 10:29 Quix0r Note Added: 0000820
2016-11-23 10:29 Quix0r Status resolved => closed
+Issue History